Wikidata doesn't return wikidata description for main page
Closed, ResolvedPublic

Jdlrobson created this task.Aug 8 2017, 9:48 PM
Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald Transcript
Jdlrobson updated the task description. (Show Details)Aug 8 2017, 9:53 PM
Jdlrobson added a subscriber: aude.Aug 9 2017, 7:29 PM

@aude should it behave like this?

aude added a comment.Aug 9 2017, 7:35 PM

it's probably because the main page uses {{#noexternallanglinks}} parser function which is meant to not pull in interwiki links from Wikidata.

possibly this affects pageterms, though not sure we need/want to disable this aspect of Wikibase for pages that have the parser function

Change 370513 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/services/mobileapps@master] Fix broken tests

https://gerrit.wikimedia.org/r/370513

@Fjalapeno @Mholloway @bearND do we actually use these anywhere in our clients or can we safely removal the tests per the proposal from @Mholloway ? If we can please merge https://gerrit.wikimedia.org/r/#/c/370513

Nothing to block it in the Android app.

@Jdlrobson depends… are you changing something that will lose the description? Is this the summary service?

This comment was removed by bearND.

@Jdlrobson depends… are you changing something that will lose the description? Is this the summary service?

@Fjalapeno No, this is for the mobile-sections output.

Change 370513 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Fix broken tests

https://gerrit.wikimedia.org/r/370513

Mentioned in SAL (#wikimedia-operations) [2017-08-15T17:55:00Z] <bsitzmann@tin> Started deploy [mobileapps/deploy@34a1304]: Update mobileapps to 33b80dd (T172829 T152441 T172021 T103362)

Mentioned in SAL (#wikimedia-releng) [2017-08-15T17:57:51Z] <bearND> Update mobileapps to 33b80dd (T172829 T152441 T172021 T103362)

Mentioned in SAL (#wikimedia-operations) [2017-08-15T17:59:00Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@34a1304]: Update mobileapps to 33b80dd (T172829 T152441 T172021 T103362) (duration: 04m 00s)

bearND closed this task as Resolved.Tue, Sep 12, 10:08 PM